body {
    padding: 0;
    margin: 0;
    overflow: hidden;
    display: flex;
    flex-flow: column;
    width: 100vw;
    height: 100vh;
}

canvas {
    flex: 1;
}

main {
    flex: 1;
    display: flex;
}

textarea {
    flex: 1;
}

.error {
    color: red;
}